Publish new policy version
curl --request POST \
--url https://api.trycomp.ai/v1/policies/{id}/versions/publish \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"setAsActive": true,
"changelog": "Updated access controls section"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({setAsActive: true, changelog: 'Updated access controls section'})
};
fetch('https://api.trycomp.ai/v1/policies/{id}/versions/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policies/{id}/versions/publish"
payload = {
"setAsActive": True,
"changelog": "Updated access controls section"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"versionId": "<string>",
"version": 123
}{
"message": "Invalid request"
}{
"message": "Unauthorized"
}{
"message": "Resource not found"
}Policies
Publish new policy version | Comp AI API
Publish new policy version in Comp AI. Create, version, publish, export, map, and improve compliance policies with AI-assisted drafting and approval.
POST
/
v1
/
policies
/
{id}
/
versions
/
publish
Publish new policy version
curl --request POST \
--url https://api.trycomp.ai/v1/policies/{id}/versions/publish \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"setAsActive": true,
"changelog": "Updated access controls section"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({setAsActive: true, changelog: 'Updated access controls section'})
};
fetch('https://api.trycomp.ai/v1/policies/{id}/versions/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/policies/{id}/versions/publish"
payload = {
"setAsActive": True,
"changelog": "Updated access controls section"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"versionId": "<string>",
"version": 123
}{
"message": "Invalid request"
}{
"message": "Unauthorized"
}{
"message": "Resource not found"
}Authorizations
API key for authentication
Headers
Organization ID (required for session auth, optional for API key auth)
Path Parameters
Policy ID
Example:
"pol_abc123def456"
Body
application/json
Publish a new policy version
Was this page helpful?

